## planetblupi 1.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 project (planetblupi)
 set (PB_VERSION_MAJOR 1)
 set (PB_VERSION_MINOR 12)
-set (PB_VERSION_PATCH 1)
+set (PB_VERSION_PATCH 2)
 set (PB_VERSION_EXTRA "")
 set (PB_PRODUCT_NAME "Planet Blupi")
 set (PB_PACKAGE_NAME "planetblupi")
@@ -141,6 +141,8 @@
   pkg_search_module (AVUTIL REQUIRED libavutil)
   pkg_search_module (SWSCALE REQUIRED libswscale)
   pkg_search_module (SWRESAMPLE REQUIRED libswresample)
+  # Statis dependencies for SDL_mixer
+  pkg_search_module (VORBIS REQUIRED vorbisfile)
 
   if (UNIX AND NOT APPLE)
     pkg_search_module (ALSA REQUIRED alsa)
@@ -172,6 +174,7 @@
     ${AVUTIL_STATIC_LIBRARIES}
     ${SWSCALE_STATIC_LIBRARIES}
     ${SWRESAMPLE_STATIC_LIBRARIES}
+    ${VORBIS_STATIC_LIBRARIES}
   )
 
   if (${PB_HTTP_VERSION_CHECK})
@@ -357,7 +360,3 @@
     set (CPACK_DMG_DS_STORE_SETUP_SCRIPT "${CMAKE_CURRENT_SOURCE_DIR}/resources/darwin/dmgsetup.scpt")
 
     set (BUNDLE_VERSION "${PB_VERSION_MAJOR}.${PB_VERSION_MINOR}.${PB_VERSION_PATCH}${PB_VERSION_EXTRA}")
-    set (BUNDLE_IDENTIFIER "org.blupi.planet")
-    set (BUNDLE_ICON_REF "Planet Blupi")
-
-    configure_file (
