=== debian/changelog ===
planetblupi (1.12.2-1) unstable; urgency=medium

  * New 1.12.2 upstream release
    - Drop the patches from upstream

 -- Didier Raboud <odyx@debian.org>  Tue, 06 Feb 2018 20:41:19 +0100

planetblupi (1.12.1-22-g13a7e27-3) unstable; urgency=medium

  * Cherry-pick two upstream fixes to only allow music format choices
    amongst those available

 -- Didier Raboud <odyx@debian.org>  Fri, 02 Feb 2018 19:13:04 +0100

planetblupi (1.12.1-22-g13a7e27-2) unstable; urgency=medium

  * Add missing Replaces/Breaks in the two new packages
  * Pipe timidity to sox for encoding to ogg
  * Bump S-V to 4.1.3 without changes needed

 -- Didier Raboud <odyx@debian.org>  Mon, 01 Jan 2018 10:41:23 +0100

planetblupi (1.12.1-22-g13a7e27-1) unstable; urgency=medium

  * New pre-1.12.2 snapshot; MIDI files are restored, no release yet

  * During build, convert the .mid's to .ogg's using timidity and
    timgm6mb-soundfont
  * Split data package in -music-mid and -music-ogg alternatives

 -- Didier Raboud <odyx@debian.org>  Sun, 31 Dec 2017 14:41:26 +0100

planetblupi (1.12.0-16-g222113a-1) unstable; urgency=medium

  * New pre-1.12.1 snapshot; just before the MIDI-to-Ogg conversion

 -- Didier Raboud <odyx@debian.org>  Fri, 08 Dec 2017 09:54:17 +0100

planetblupi (1.12.0-1) unstable; urgency=medium

  * New 1.12.0 upstream release
    - Remove all patches which were from upstream
    - Use @PB_ICON@ to link to the icon from the desktop file
  * Set R³ to no

 -- Didier Raboud <odyx@debian.org>  Thu, 02 Nov 2017 20:16:47 +0100

planetblupi (1.11.0-3) unstable; urgency=medium

  * Patches:
    - Install a .desktop file: backport and enhance
    - Make the CURL dependency optional: backport the enhancements
    - Use GNUInstallDirs instead of patching the BINDIR: patch update
    - Replace a char by Sint8: backport. Should fix the FTBFS'es

 -- Didier Raboud <odyx@debian.org>  Wed, 25 Oct 2017 09:11:15 +0200

planetblupi (1.11.0-2) unstable; urgency=medium

  * Backport two patch series from upstream:
    - Build a desktop file
    - Make the CURL dependency optional, through the PB_HTTP_VERSION_CHECK
      CMake option (refresh the previous attempt)

  * Use non-HTTPS homepage, the HTTPS version doesn't work
  * Install the desktop file
  * Add debian/gbp.conf

 -- Didier Raboud <odyx@debian.org>  Sun, 22 Oct 2017 11:54:10 +0200

planetblupi (1.11.0-1) unstable; urgency=low

  * Initial release. (Closes: #879214)

 -- Didier Raboud <odyx@debian.org>  Fri, 20 Oct 2017 16:57:03 +0200
