=== debian/control ===
Source: planetblupi
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Didier Raboud <odyx@debian.org> 
Build-Depends:
 debhelper (>= 10.2.5~),
 cmake,
 pkg-config,
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libsdl-kitchensink-dev,
 argagg-dev,
Build-Depends-Indep:
 timidity,
 sox,
 timgm6mb-soundfont,
Standards-Version: 4.1.3
Rules-Requires-Root: no
Homepage: http://blupi.org
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-games/planetblupi.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/planetblupi.git

Package: planetblupi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 planetblupi-common (>= ${source:Version}),
 planetblupi-music-ogg (>= ${source:Version}) | planetblupi-music-midi (>= ${source:Version}),
Description: Planet Blupi - A delirious spell-binding game
 Planet Blupi is a strategy and adventure game. It subtly blends action with
 thought-provoking challenges. Behind the quiet and gentle facade, you'll enjoy
 a fascinating diversion full of surprises.

Package: planetblupi-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: planetblupi
Recommends:
 planetblupi (>= ${source:Version})
Description: Planet Blupi - A delirious spell-binding game - data
 Planet Blupi is a strategy and adventure game. It subtly blends action with
 thought-provoking challenges. Behind the quiet and gentle facade, you'll enjoy
 a fascinating diversion full of surprises.
 .
 This package contains the architecture-independent game data.

Package: planetblupi-music-ogg
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: planetblupi
Recommends: planetblupi (>= ${source:Version})
Replaces: planetblupi-common (<< 1.12.1-22-g13a7e27-1)
Breaks: planetblupi-common (<< 1.12.1-22-g13a7e27-1)
Description: Planet Blupi - A delirious spell-binding game - Ogg music
 Planet Blupi is a strategy and adventure game. It subtly blends action with
 thought-provoking challenges. Behind the quiet and gentle facade, you'll enjoy
 a fascinating diversion full of surprises.
 .
 This package contains the heavyweight OGG music.

Package: planetblupi-music-midi
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 fluidr3mono-gm-soundfont | timgm6mb-soundfont | fluid-soundfont-gm,
# ^ these are libfluidsynth's suggests
Enhances: planetblupi
Recommends: planetblupi (>= ${source:Version})
Replaces: planetblupi-common (<< 1.12.1-22-g13a7e27-1)
Breaks: planetblupi-common (<< 1.12.1-22-g13a7e27-1)
Description: Planet Blupi - A delirious spell-binding game - MIDI music
 Planet Blupi is a strategy and adventure game. It subtly blends action with
 thought-provoking challenges. Behind the quiet and gentle facade, you'll enjoy
 a fascinating diversion full of surprises.
 .
 This package contains the lightweight MIDI music
