## planetblupi 1.12.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 project (planetblupi)
 set (PB_VERSION_MAJOR 1)
 set (PB_VERSION_MINOR 12)
-set (PB_VERSION_PATCH 2)
+set (PB_VERSION_PATCH 4)
 set (PB_VERSION_EXTRA "")
 set (PB_PRODUCT_NAME "Planet Blupi")
 set (PB_PACKAGE_NAME "planetblupi")
