=== debian/changelog ===
planetblupi (1.12.4-1) unstable; urgency=medium

  * New 1.12.4 release

 -- Didier Raboud <odyx@debian.org>  Thu, 15 Mar 2018 08:49:52 +0100
