=== debian/changelog ===
planetblupi (1.12.5-1) unstable; urgency=medium

  * New 1.12.5 release

  [ Reiner Herrmann ]
  * Use fixed serial number to build ogg files reproducibly
  * Point Vcs-* fields to salsa
  * Bump Standards-Version to 4.1.4; no changes required
  * Add watch file

  [ Didier Raboud ]
  * d/copyright update

 -- Didier Raboud <odyx@debian.org>  Fri, 08 Jun 2018 10:50:35 +0200
