=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Didier Raboud <odyx@debian.org> 
+Uploaders: Didier Raboud <odyx@debian.org>
 Build-Depends:
  debhelper (>= 10.2.5~),
  cmake,
@@ -14,13 +14,13 @@
  argagg-dev,
 Build-Depends-Indep:
  timidity,
- sox,
+ vorbis-tools,
  timgm6mb-soundfont,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Rules-Requires-Root: no
 Homepage: http://blupi.org
-Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-games/planetblupi.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/planetblupi.git
+Vcs-Git: https://salsa.debian.org/games-team/planetblupi.git
+Vcs-Browser: https://salsa.debian.org/games-team/planetblupi
 
 Package: planetblupi
 Architecture: any
