## planetblupi 1.13.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,14 +6,16 @@
 
 include (GNUInstallDirs)
 include (${CMAKE_ROOT}/Modules/ExternalProject.cmake)
+include ("${CMAKE_SOURCE_DIR}/cmake/Ronn2Man.cmake")
 
 include_directories (${CMAKE_INSTALL_PREFIX}/include)
+include_directories (${CMAKE_INSTALL_PREFIX}/include/SDL2)
 link_directories (${CMAKE_INSTALL_PREFIX}/lib)
 
 project (planetblupi)
 set (PB_VERSION_MAJOR 1)
-set (PB_VERSION_MINOR 12)
-set (PB_VERSION_PATCH 5)
+set (PB_VERSION_MINOR 13)
+set (PB_VERSION_PATCH 2)
 set (PB_VERSION_EXTRA "")
 set (PB_PRODUCT_NAME "Planet Blupi")
 set (PB_PACKAGE_NAME "planetblupi")
@@ -30,8 +32,13 @@
 
 include_directories ("${PROJECT_BINARY_DIR}/include")
 
-file (GLOB_RECURSE sources src/*.cxx src/*.h)
-file (GLOB_RECURSE po      resources/po/*.po)
+if (BUILD_JS)
+  file (GLOB sources src/*.cxx src/*.h src/json/* src/platform/*_js.*)
+else ()
+  file (GLOB sources src/*.cxx src/*.h src/json/* src/platform/*_sdl.*)
+endif ()
+
+file (GLOB_RECURSE po resources/po/*.po)
 
 if (APPIMAGE_APPRUN_PROGRAM AND APPIMAGE_ASSISTANT_PROGRAM)
   set (USE_APPIMAGE ON)
@@ -45,12 +52,24 @@
   )
 endif ()
 
+set (planetblupi_OUTPUT planetblupi)
+
+if (NOT DEFINED BUILD_LINUX)
+  set (BUILD_LINUX UNIX AND NOT APPLE)
+endif ()
+
+if (BUILD_JS)
+  set (CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS} ${EMSCRIPTEN_FLAGS})
+  set (CMAKE_EXE_LINKER_FLAGS ${CMAKE_EXE_LINKER_FLAGS} "--preload-file share")
+  set (planetblupi_OUTPUT planetblupi.html)
+endif ()
+
 if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -std=c++11 -L${CMAKE_INSTALL_PREFIX}/lib")
 endif ()
 
 if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" AND "${STATIC_BUILD}")
-  set (CMAKE_EXE_LINKER_FLAGS "-static-libgcc -static-libstdc++")
+  set (CMAKE_EXE_LINKER_FLAGS ${CMAKE_EXE_LINKER_FLAGS} "-static-libgcc -static-libstdc++")
 endif ()
 
 if ("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
@@ -81,7 +100,7 @@
 file (RENAME "${CMAKE_BINARY_DIR}/share/doc/planetblupi/LICENSE.all"
              "${CMAKE_BINARY_DIR}/share/doc/planetblupi/copyright")
 
-if (UNIX AND NOT APPLE)
+if (BUILD_LINUX)
   file (COPY resources/icon/hicolor DESTINATION share/icons)
 endif ()
 
@@ -125,28 +144,45 @@
 include_directories (${SDLKitchensink_INCLUDE_DIRS})
 
 find_package (PkgConfig REQUIRED)
-pkg_search_module (SDL2 REQUIRED sdl2)
-pkg_search_module (SDL2_MIXER REQUIRED SDL2_mixer)
-pkg_search_module (SDL2_IMAGE REQUIRED SDL2_image)
+if (NOT BUILD_JS)
+  pkg_search_module (SDL2 REQUIRED sdl2)
+  set (planetblupi_DEPS ${planetblupi_DEPS} ${SDL2_STATIC_LIBRARIES})
+  pkg_search_module (SDL2_IMAGE REQUIRED SDL2_image)
+  set (planetblupi_DEPS ${planetblupi_DEPS} ${SDL2_IMAGE_STATIC_LIBRARIES})
+  pkg_search_module (SDL2_MIXER REQUIRED SDL2_mixer)
+  set (planetblupi_DEPS ${planetblupi_DEPS} ${SDL2_MIXER_STATIC_LIBRARIES})
+endif ()
+
 if (${PB_HTTP_VERSION_CHECK})
   pkg_search_module (CURL REQUIRED libcurl)
   add_definitions (-DUSE_CURL)
 endif ()
 
 if ("${STATIC_BUILD}")
-  pkg_search_module (PNG REQUIRED libpng)
   # Static dependencies for SDL_kitchensink
   pkg_search_module (AVCODEC REQUIRED libavcodec)
   pkg_search_module (AVFORMAT REQUIRED libavformat)
   pkg_search_module (AVUTIL REQUIRED libavutil)
   pkg_search_module (SWSCALE REQUIRED libswscale)
   pkg_search_module (SWRESAMPLE REQUIRED libswresample)
-  # Statis dependencies for SDL_mixer
-  pkg_search_module (VORBIS REQUIRED vorbisfile)
-
-  if (UNIX AND NOT APPLE)
-    pkg_search_module (ALSA REQUIRED alsa)
-    pkg_search_module (PULSE REQUIRED libpulse)
+
+  if (NOT BUILD_JS)
+    pkg_search_module (PNG REQUIRED libpng)
+    set (planetblupi_DEPS ${planetblupi_DEPS} ${PNG_STATIC_LIBRARIES})
+
+    # Static dependencies for SDL_mixer
+    pkg_search_module (VORBIS REQUIRED vorbisfile)
+    set (planetblupi_DEPS ${planetblupi_DEPS} ${VORBIS_STATIC_LIBRARIES})
+
+    if (BUILD_LINUX)
+      pkg_search_module (ALSA REQUIRED alsa)
+      pkg_search_module (PULSE REQUIRED libpulse)
+    endif ()
+
+    set (planetblupi_DEPS ${planetblupi_DEPS}
+      ${Intl_LIBRARIES}
+      ${Iconv_LIBRARIES}
+    )
   endif ()
 
   if (${PB_HTTP_VERSION_CHECK})
@@ -158,23 +194,16 @@
 ## Main binary dependencies
 ###########################
 
-add_executable (planetblupi ${sources})
+add_executable (${planetblupi_OUTPUT} ${sources})
 
 if ("${STATIC_BUILD}")
-  set (planetblupi_DEPS
-    ${Intl_LIBRARIES}
-    ${Iconv_LIBRARIES}
-    ${SDL2_STATIC_LIBRARIES}
-    ${SDL2_MIXER_STATIC_LIBRARIES}
-    ${SDL2_IMAGE_STATIC_LIBRARIES}
+  set (planetblupi_DEPS ${planetblupi_DEPS}
     ${SDLKitchensink_STATIC_LIBRARIES}
-    ${PNG_STATIC_LIBRARIES}
     ${AVCODEC_STATIC_LIBRARIES}
     ${AVFORMAT_STATIC_LIBRARIES}
     ${AVUTIL_STATIC_LIBRARIES}
     ${SWSCALE_STATIC_LIBRARIES}
     ${SWRESAMPLE_STATIC_LIBRARIES}
-    ${VORBIS_STATIC_LIBRARIES}
   )
 
   if (${PB_HTTP_VERSION_CHECK})
@@ -183,7 +212,7 @@
     )
   endif ()
 
-  if (UNIX AND NOT APPLE)
+  if (BUILD_LINUX)
     list (APPEND planetblupi_DEPS
       ${ALSA_STATIC_LIBRARIES}
       ${PULSE_STATIC_LIBRARIES}
@@ -207,7 +236,7 @@
   endif ()
 endif ()
 
-target_link_libraries (planetblupi PUBLIC ${planetblupi_DEPS})
+target_link_libraries (${planetblupi_OUTPUT} PUBLIC ${planetblupi_DEPS})
 
 ##########
 ## GetText
@@ -243,51 +272,59 @@
     DEPENDS ${_out}/planetblupi.mo
   )
 
-  add_dependencies (planetblupi "po-${_lang}")
+  add_dependencies (${planetblupi_OUTPUT} "po-${_lang}")
 endforeach (file)
+
+#########
+# manpage
+#########
+
+add_manpage_target ()
+manpage(${PROJECT_NAME} 1)
 
 ##############
 # Installation
 ##############
 
-install (TARGETS planetblupi
-  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
-)
-
-install (
-  DIRECTORY resources/data DESTINATION share/planetblupi
-  PATTERN "world2*.blp" EXCLUDE
-  PATTERN "world*.dev.blp" EXCLUDE
-)
-install (
-  DIRECTORY resources/data DESTINATION share/planetblupi
-  CONFIGURATIONS Debug
-  PATTERN "world2*.blp"
-  PATTERN "world*.dev.blp"
-)
-install (DIRECTORY resources/image DESTINATION share/planetblupi)
-install (DIRECTORY resources/movie DESTINATION share/planetblupi)
-install (DIRECTORY resources/sound DESTINATION share/planetblupi)
-install (DIRECTORY resources/music DESTINATION share/planetblupi)
-install (FILES LICENSE.all DESTINATION share/doc/planetblupi RENAME copyright)
-
-if (UNIX AND NOT APPLE)
-  install (DIRECTORY resources/icon/hicolor DESTINATION share/icons)
-endif ()
-
-if (NOT USE_APPIMAGE)
+if (NOT BUILD_JS)
+  install (TARGETS ${planetblupi_OUTPUT}
+    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+  )
   install (
-    FILES ${CMAKE_CURRENT_BINARY_DIR}/${PB_PACKAGE_NAME}.desktop
-    DESTINATION share/applications
-  )
-endif ()
-
-# Copy libwinpthread-1.dll which seems not be linkable statically
-if (${CMAKE_SYSTEM_NAME} STREQUAL "Windows" AND MINGW)
-  execute_process (COMMAND cygpath.exe --windows $ENV{MINGW_PREFIX} OUTPUT_VARIABLE MINGW_PATH)
-  string (REGEX REPLACE "[ \t\n\r]+$" "" MINGW_PATH "${MINGW_PATH}")
-  string (REGEX REPLACE "[\\]" "\\\\\\\\" MINGW_PATH "${MINGW_PATH}")
-  install (FILES "${MINGW_PATH}\\\\bin\\\\libwinpthread-1.dll" DESTINATION bin)
+    DIRECTORY resources/data DESTINATION share/planetblupi
+    PATTERN "world2*.blp" EXCLUDE
+    PATTERN "world*.dev.blp" EXCLUDE
+  )
+  install (
+    DIRECTORY resources/data DESTINATION share/planetblupi
+    CONFIGURATIONS Debug
+    PATTERN "world2*.blp"
+    PATTERN "world*.dev.blp"
+  )
+  install (DIRECTORY resources/image DESTINATION share/planetblupi)
+  install (DIRECTORY resources/movie DESTINATION share/planetblupi)
+  install (DIRECTORY resources/sound DESTINATION share/planetblupi)
+  install (DIRECTORY resources/music DESTINATION share/planetblupi)
+  install (FILES LICENSE.all DESTINATION share/doc/planetblupi RENAME copyright)
+
+  if (UNIX AND NOT APPLE)
+    install (DIRECTORY resources/icon/hicolor DESTINATION share/icons)
+  endif ()
+
+  if (NOT USE_APPIMAGE)
+    install (
+      FILES ${CMAKE_CURRENT_BINARY_DIR}/${PB_PACKAGE_NAME}.desktop
+      DESTINATION share/applications
+    )
+  endif ()
+
+  # Copy libwinpthread-1.dll which seems not be linkable statically
+  if (${CMAKE_SYSTEM_NAME} STREQUAL "Windows" AND MINGW)
+    execute_process (COMMAND cygpath.exe --windows $ENV{MINGW_PREFIX} OUTPUT_VARIABLE MINGW_PATH)
+    string (REGEX REPLACE "[ \t\n\r]+$" "" MINGW_PATH "${MINGW_PATH}")
+    string (REGEX REPLACE "[\\]" "\\\\\\\\" MINGW_PATH "${MINGW_PATH}")
+    install (FILES "${MINGW_PATH}\\\\bin\\\\libwinpthread-1.dll" DESTINATION bin)
+  endif ()
 endif ()
 
 #########
@@ -339,23 +376,3 @@
                         COMMAND make package)
 
     if (SIGN_APP AND SIGNTOOL_EXECUTABLE)
-      add_custom_command (TARGET planetblupi
-                          POST_BUILD
-                          COMMAND ${SIGNTOOL_EXECUTABLE}
-                            sign -a -fd sha1 -t http://time.certum.pl
-                            "${CMAKE_BINARY_DIR}/${INSTALLER_FILE_NAME}.exe")
-    endif ()
-  elseif (APPLE)
-    set (CPACK_GENERATOR "Bundle")
-    set (CPACK_BUNDLE_ICON "${CMAKE_CURRENT_SOURCE_DIR}/resources/darwin/icon.icns")
-    set (CPACK_BUNDLE_NAME ${PB_PRODUCT_NAME})
-    set (CPACK_BUNDLE_PLIST "${CMAKE_BINARY_DIR}/Info.plist")
-    set (CPACK_BUNDLE_STARTUP_COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/resources/darwin/Planet Blupi")
-    if (SIGN_APP)
-      set (CPACK_BUNDLE_APPLE_CERT_APP "Developer ID Application: Mathieu Schroeter")
-    endif ()
-    set (CPACK_PACKAGE_FILE_NAME "planetblupi-${PB_VERSION_MAJOR}.${PB_VERSION_MINOR}.${PB_VERSION_PATCH}${PB_VERSION_EXTRA}")
-
-    set (CPACK_DMG_BACKGROUND_IMAGE "${CMAKE_CURRENT_SOURCE_DIR}/resources/darwin/background.tiff")
-    set (CPACK_DMG_DS_STORE_SETUP_SCRIPT "${CMAKE_CURRENT_SOURCE_DIR}/resources/darwin/dmgsetup.scpt")
-
