=== debian/changelog ===
planetblupi (1.13.2-3) unstable; urgency=medium

  * Generate and install the manpage:
    - Patch to move it to section 6 (games)
    - Add 'ronn' as Build-Dependency

 -- Didier Raboud <odyx@debian.org>  Wed, 24 Oct 2018 08:45:19 +0200

planetblupi (1.13.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Didier Raboud <odyx@debian.org>  Mon, 17 Sep 2018 10:16:56 +0200

planetblupi (1.13.2-1) experimental; urgency=medium

  * New 1.13.2 release
  * Bump S-V to 4.2.1 without changes needed 

 -- Didier Raboud <odyx@debian.org>  Mon, 03 Sep 2018 12:06:00 +0200

planetblupi (1.12.5-2) experimental; urgency=low

  * Adapt to libsdl-kitchensink's new API:
    - Bump libsdl-kitchensink-dev B-D to >= 1
    - Backport two patches from upstream:
      + Add SDL2 directory as include dir for SDL_kitchensink (Kit)
      + Adapt movie impl. for SDL_kitchensink1 API

 -- Didier Raboud <odyx@debian.org>  Fri, 06 Jul 2018 14:49:09 +0200
