=== debian/control ===
--- 
+++ 
@@ -10,13 +10,14 @@
  libsdl2-dev,
  libsdl2-image-dev,
  libsdl2-mixer-dev,
- libsdl-kitchensink-dev,
+ libsdl-kitchensink-dev (>= 1),
  argagg-dev,
+ ronn,
 Build-Depends-Indep:
  timidity,
  vorbis-tools,
  timgm6mb-soundfont,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Homepage: http://blupi.org
 Vcs-Git: https://salsa.debian.org/games-team/planetblupi.git
