=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,4 @@
 
 resources/music/music%.ogg: resources/music/music%.mid
 	# Encode to ogg with "Quality=0" ~ 64 kB
-	timidity -c /etc/timidity/timgm6mb.cfg -Ow $< -o - | sox -t wav - -C0 $@
+	timidity -c /etc/timidity/timgm6mb.cfg -Ow $< -o - | oggenc -Q -q0 --serial 1 -o $@ -
