## planetblupi 1.14.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 project (planetblupi)
 set (PB_VERSION_MAJOR 1)
-set (PB_VERSION_MINOR 13)
+set (PB_VERSION_MINOR 14)
 set (PB_VERSION_PATCH 2)
 set (PB_VERSION_EXTRA "")
 set (PB_PRODUCT_NAME "Planet Blupi")
@@ -93,15 +93,22 @@
   )
 endif ()
 file (COPY resources/image DESTINATION share/planetblupi)
-file (COPY resources/movie DESTINATION share/planetblupi)
+if (NOT BUILD_JS)
+  file (COPY resources/movie DESTINATION share/planetblupi)
+endif ()
 file (COPY resources/sound DESTINATION share/planetblupi)
 file (COPY resources/music DESTINATION share/planetblupi)
 file (COPY LICENSE.all DESTINATION share/doc/planetblupi)
+file (COPY COPYING DESTINATION share/doc/planetblupi)
 file (RENAME "${CMAKE_BINARY_DIR}/share/doc/planetblupi/LICENSE.all"
              "${CMAKE_BINARY_DIR}/share/doc/planetblupi/copyright")
 
 if (BUILD_LINUX)
   file (COPY resources/icon/hicolor DESTINATION share/icons)
+  file (
+    COPY resources/linux/${PB_PACKAGE_NAME}.appdata.xml
+    DESTINATION share/metainfo
+  )
 endif ()
 
 # Windows stuff
@@ -280,7 +287,7 @@
 #########
 
 add_manpage_target ()
-manpage(${PROJECT_NAME} 1)
+manpage(${PROJECT_NAME} 6)
 
 ##############
 # Installation
@@ -306,9 +313,14 @@
   install (DIRECTORY resources/sound DESTINATION share/planetblupi)
   install (DIRECTORY resources/music DESTINATION share/planetblupi)
   install (FILES LICENSE.all DESTINATION share/doc/planetblupi RENAME copyright)
-
-  if (UNIX AND NOT APPLE)
+  install (FILES COPYING DESTINATION share/doc/planetblupi)
+
+  if (BUILD_LINUX)
     install (DIRECTORY resources/icon/hicolor DESTINATION share/icons)
+    install (
+      FILES resources/linux/${PB_PACKAGE_NAME}.appdata.xml
+      DESTINATION share/metainfo
+    )
   endif ()
 
   if (NOT USE_APPIMAGE)
@@ -367,12 +379,3 @@
       add_custom_command (TARGET planetblupi
                           POST_BUILD
                           COMMAND ${SIGNTOOL_EXECUTABLE}
-                            sign -a -fd sha1 -t http://time.certum.pl -v
-                            "${CMAKE_BINARY_DIR}/planetblupi.exe")
-    endif ()
-
-    add_custom_command (TARGET planetblupi
-                        POST_BUILD
-                        COMMAND make package)
-
-    if (SIGN_APP AND SIGNTOOL_EXECUTABLE)
