=== debian/changelog ===
planetblupi (1.14.2-3) unstable; urgency=medium

  * Run wrap-and-sort -baskt
  * S-V: Update to 4.6.0 without changes needed
  * Bump debhelper compat to 13
  * Add Salsa CI configuration
  * Remove myself from Uploaders

 -- Didier Raboud <odyx@debian.org>  Thu, 02 Sep 2021 16:46:57 +0200

planetblupi (1.14.2-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/p/Avoid-making-assumptions-about-location-of-SDL2-headers.patch:
    Don't assume that SDL2 headers are in /usr/include/SDL2
    (Closes: #952105)

  [ Didier Raboud ]
  * lintian-brush: Set some upstream metadata fields
  * Bump Standards-Version to 4.5.0, cleanup versions

 -- Didier Raboud <odyx@debian.org>  Mon, 09 Mar 2020 20:13:59 +0100

planetblupi (1.14.2-1) unstable; urgency=medium

  * New 1.14.2 upstream release
  * Bump S-V to 4.4.1 without changes needed
  * Set upstream metadata fields: Repository.

 -- Didier Raboud <odyx@debian.org>  Fri, 18 Oct 2019 14:12:32 +0200

planetblupi (1.14.1-2) unstable; urgency=medium

  * Move to unstable
  * Bump S-V to 4.4 without changes needed
  * Bump debhelper compat to 12
  * Cherry-pick two fixes from upstream:
    - Fix bad translation
    - Do not play the win sound while the win video is playing

 -- Didier Raboud <odyx@debian.org>  Fri, 20 Sep 2019 16:49:26 +0200

planetblupi (1.14.1-1) experimental; urgency=medium

  * New 1.14.1 upstream release

 -- Didier Raboud <odyx@debian.org>  Wed, 13 Mar 2019 21:53:25 +0100

planetblupi (1.14.0-1) experimental; urgency=low

  * New 1.14.0 upstream release

 -- Didier Raboud <odyx@debian.org>  Sun, 24 Feb 2019 15:27:22 +0100
