=== debian/watch ===
version=4
https://github.com/blupi-games/planetblupi/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@
